# Embed

{% hint style="info" %}
This endpoint doesn’t require authentication.
{% endhint %}

## embed info

<mark style="color:blue;">`GET`</mark> `https://www.welcomekit.co/api/v1/embed`

#### Query Parameters

| Name                                                      | Type   | Description            |
| --------------------------------------------------------- | ------ | ---------------------- |
| organization\_reference<mark style="color:red;">\*</mark> | string | Organization reference |

{% tabs %}
{% tab title="200 Success" %}

```
{
  "name": "Welcome to the Jungle",
  "jobs": [
    {
      "id": 42,
      "reference": "WTTJ_NQbwwpV",
      "name": "CDI - Full Stack Developper",
      "slug": "full-stack-developper_paris",
      "description": "<p>Hello World…</p>",
      "profile": "<p>Hello World…</p>",
      "recruitment_process": "<p>Hello World…</p>",
      "salary": {
        "min": "30000",
        "max": "40000",
        "currency": "EUR",
        "period": "yearly"
      },
      "created_at": {
        "fr": "Le 09 Novembre 2015 à 13h26",
        "en": "09 November 2015 at 13h26"
      },
      "start_date": {
        "fr": "01 Décembre 2015",
        "en": "01 December 2015"
      },
      "office": {
        "id": 42,
        "name": "Paris",
        "address": "11 bis rue Bachaumont",
        "zip_code": "75002",
        "district": "Paris",
        "city": "Paris",
        "country": {
          "fr": "France",
          "en": "France"
        }
      },
      "department": {
        "id": 42,
        "name": "Tech"
      },
      "contract_type": {
        "fr": "CDI",
        "en": "Full-Time"
      },
      "cms_sites_references": [
        "wttj_fr"
      ],
      "websites_urls" : [
         {
            "reference" : "wttj_fr",
            "url" : "https://www.welcometothejungle.co/companies/wttj/jobs/fake-job-2"
         },
        ...
      ]
    }
  ],
  "websites": [
    {
      "reference": "wttj_careers",
      "kind": "single",
      "url": "https://wttj.welcomekit.co"
    }
  ]
}
```

{% endtab %}
{% endtabs %}

Request example

```
curl -X GET -G "https://www.welcomekit.co/api/v1/embed" \
    -d "organization_reference=Pg4eV6k"
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developers.welcomekit.co/employer-branding-api/get-information-to-build-an-embed.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
